org.richfaces.component.attribute

## Interface LinkProps

- All Superinterfaces:
    DisabledProps, EventsKeyProps, EventsMouseProps
  All Known Implementing Classes:
    AbstractCommandLink, AbstractMediaOutput, UICommandLink, UIMediaOutput

      public interface LinkProps
      extends DisabledProps, EventsMouseProps, EventsKeyProps

  Interface defining the methods for link-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharset()` The character encoding of the resource designated by this hyperlink.
    `String` | `getCoords()` The position and shape of the hot spot on the screen (for use in client-side image maps).
    `String` | `getHreflang()` The language code of the resource designated by this hyperlink.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getRel()` The relationship from the current document to the anchor specified by this hyperlink.
    `String` | `getRev()` A reverse link from the anchor specified by this hyperlink to the current document.
    `String` | `getShape()` The shape of the hot spot on the screen (for use in client-side image maps).
    `String` | `getTarget()` Name of a frame where the resource retrieved via this hyperlink is to be displayed.
    `String` | `getType()` The content type of the resource designated by this hyperlink.

    - ### Methods inherited from interface org.richfaces.component.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

- - ### Method Detail

    - #### getOnclick

          String getOnclick()

      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### getCharset

          String getCharset()

      The character encoding of the resource designated by this hyperlink.

    - #### getCoords

          String getCoords()

      The position and shape of the hot spot on the screen (for use in client-side image maps).

    - #### getHreflang

          String getHreflang()

      The language code of the resource designated by this hyperlink.

    - #### getRel

          String getRel()

      The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types.

    - #### getRev

          String getRev()

      A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types.

    - #### getShape

          String getShape()

      The shape of the hot spot on the screen (for use in client-side image maps). Valid values are: default (entire region); rect (rectangular region); circle (circular region); and poly (polygonal region).

    - #### getTarget

          String getTarget()

      Name of a frame where the resource retrieved via this hyperlink is to be displayed.

    - #### getType

          String getType()

      The content type of the resource designated by this hyperlink.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.